Summary:		Graphical predictive text entry system
Name:			dasher
Version:		4.11
Release:		%mkrel 5
License:		GPLv2+
Group:			Accessibility
URL:			http://www.inference.phy.cam.ac.uk/dasher/
Source0:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:			dasher-4.9.0-fix-stringformat.patch
Patch1:			dasher-4.11-dso.patch
BuildRequires:		expat-devel
BuildRequires:		libglade2.0-devel
BuildRequires:		libgnomeui2-devel
BuildRequires:		libwnck-devel >= 2.10.0
BuildRequires:		gnome-speech-devel
BuildRequires:		at-spi-devel
BuildRequires:		scrollkeeper
BuildRequires:		gnome-doc-utils
BuildRequires:		perl-XML-Parser
BuildRequires:		imagemagick
BuildRequires:		desktop-file-utils
BuildRequires:		intltool
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

%description 
Dasher is an information-efficient text-entry interface, driven by natural 
continuous pointing gestures. Dasher is a  competitive  text-entry
system wherever a full-size keyboard cannot be used.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .dso
%build

%configure2_5x

%make

%install
rm -rf %name.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
rm -rf %buildroot/var/lib/scrollkeeper

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done


desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot%_miconsdir
install -m 644 -D Data/%name.png %buildroot%_liconsdir/%name.png
convert -scale 32 Data/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 Data/%name.png %buildroot%_miconsdir/%name.png

%preun
%preun_uninstall_gconf_schemas dasher

%files -f %{name}.lang
%doc README AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/dasher.schemas
%{_bindir}/*
%{_datadir}/applications/dasher.desktop
%{_datadir}/dasher
%_datadir/icons/hicolor/scalable/apps/dasher.svg
%_datadir/icons/hicolor/48x48/apps/dasher.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png
%{_mandir}/man1/*
%{_datadir}/omf/dasher/dasher-C.omf


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 4.11-5.mga3
+ Revision: 348620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 07 2012 sander85 <sander85> 4.11-4.mga3
+ Revision: 279801
- Fix build

* Tue Sep 27 2011 ovitters <ovitters> 4.11-3.mga2
+ Revision: 149571
- clean spec file

* Thu Mar 17 2011 steletch <steletch> 4.11-2.mga1
+ Revision: 73448
- Clean spec file
- imported package dasher

